Rotating View Without Tilting

Posted on  by  admin
Rotating View Without Tilting Rating: 4,3/5 7958 reviews

I'm working on a map (north is up). It fits better on an 11 X 17 sheet if it's tilted a bit, which I can do in a layout viewport. I'd like to be able to also tilt (rotate? Reorient?) the map in model space so it fits on the screen easier (and looks the same as in the tilted viewports) How do I do this?

  1. Rotating View Without Tilting View
  2. Rotating View Without Tilting Tv

(I just want it to look tilted, but not have any of the coordinates change, not actually rotate any objects, etc.) I've been looking for some widget or some command that will tell me how many degrees the model space view is tilted, and that would allow me to input '23 degrees' or something, but I can't find it. ALSO (bonus question. ) if I work in the 'tilted' model space, is there a way to set ortho so that it doesn't tilt with the map? (so that even if the map is tilted, I can draw a rectangle that is straight 'up/down left/right' on my screen. Thanks for your help, David AutoCAD Map 3D 2010/2011. Turn UCSFOLLOW on first and then you can rotate the UCS based on a line already drawn in the drawing that you want to be 'straight across' along the x axis. I use this method all the time because the ortho snap remains straight with the cursor (vertical/horizontal).

Just type in 'UCS' and use the 'OBject' option to pick the line you want to use as the horizontal alignment. If the desired rotation is 'upside down' then undo and redo the command but pick near the other end of the line and it will be correct. You can usually figure the angle from the line you want to match. But it's simpler to use the attached lisp. Save the file in a path that AutoCAD will find.

Rotating View Without Tilting View

Rotating view without tilting head

Open the file in Notepad to see a description of the behavior. Allen I can't attach the file. Copy the code below and paste it in to Notepad. Save in as dvpick.lsp Note the LSP extension in a path that AutoCAD Will find. Load that file using Appload.

If you like it. Add the file to the Startup Suite in the Appload dialog box. ASJ;;Written Mitch Paulk May 1999;;This lisp temporarily uses a UCS, so be careful if the command is canceled or;;undone using UNDO.

(defun c:DVPICK (/ vangle vsize vcenter) (setq oldcmd (getvar 'cmdecho')) (setvar 'cmdecho' 0) (setq vsize (getvar 'viewsize')) (setq vcenter (getvar 'viewctr')) (princ ' nThe Object selected will be rotated horizontal using DView Twist.' ) (command 'ucs' 'ob' pause) (command 'plan' ') (command 'ucs' ') (setvar 'cmdecho' oldcmd) (princ); Set the snapangle to the negative value of the viewtwist so that; the crosshairs will be horizontal. (setq vangle (getvar 'viewtwist'));The viewtwist in radians (setq vangle (/ (. vangle -180.0) PI));convert it to degrees and multiply by -1 (progn (command 'SNAPANG' vangle) (command 'zoom' 'c' vcenter vsize) ) (setvar 'cmdecho' oldcmd) (princ) ).

I don't create any UCS and changing the Snap angle is done with a simple Lisp. BTW - Setting the UCS to view is creating a custom UCS. I can't comment on vanilla AutoCAD or Map 3D but in Civil 3D it is best not to use any UCS other than World.

Rotating View Without Tilting Tv

TiltingTilting

Whether you use DView, MVSetup, a custom Lisp or how you have VPRotateassoc set. It's all just changing VIEWTWIST. After over a quarter century of working with Autodesk products. I may use some of the older versions of the commands but I have a good idea of what's going on.

I had a few minutes to demonstrate a very easy method to rotate a viewport to the angle of choice and set the axis curser to match it. No running lisp routines or special settings. No dtwist and no custom ucs's. And no snap angle changes. I've been working with Autodesk since release 2.9 and this is by far the easist way to accomplish this task I've found yet. And it doesn't jack around the drawing like other methods I've seen. Remember when you set the ucs to a viewport in layout mode it doesn't change the ucs in the model space mode. Screen cast link below.

Coments are closed